the install for linux /linux arm no longer works as its looking for a old versio on the ide the new versio on linix is 2.1 and the installer needs updated to it .. it should also default to /usr/share/arduino/lib for the install .. as this is where linux puts the core of the arduino ide. the version.txt file lives in this dir. so it fails to install.